# Generated from wayfarer-jruby-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wayfarer-jruby

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Versatile web crawling with JRuby
License: MIT
URL: http://github.com/bauerd/wayfarer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sinatra) >= 1.4
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(rubocop) >= 0.34
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(bourbon) >= 4.3
# BuildRequires: rubygem(bourbon) < 5
# BuildRequires: rubygem(neat) >= 1.8
# BuildRequires: rubygem(neat) < 2
# BuildRequires: rubygem(faker) >= 1.7
# BuildRequires: rubygem(faker) < 2
BuildArch: noarch

%description
Versatile web crawling with JRuby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/wayfarer
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rbenv-gemsets
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/benchmark
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/support
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/wayfarer-jruby.gemspec
%{gem_instdir}/wayfarer.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.3-1
- Initial package
